%def_disable mmx
%def_disable static

Name: imlib2
Version: 1.1.1
Release: alt0.1

Summary: Powerful image loading and rendering library
License: LGPL
Group: System/Libraries
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/enlightenment/%name-%version.tar.bz2
Patch: %name-1.1.0-suse-bound.patch

BuildPreReq: freetype-devel >= 0:1.3.1-alt3

# Automatically added by buildreq on Mon Aug 30 2004
BuildRequires: XFree86-devel bzlib-devel freetype2-devel libjpeg-devel libltdl-devel libpng-devel libtiff-devel libungif-devel zlib-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

%package devel
Summary: Imlib2 header files and development documentation
Group: Development/C
Requires: %name = %version-%release

%description devel
Header files and development documentation for Imlib2.

%package devel-static
Summary: Imlib static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Imlib2 static libraries.

%package utils
Summary: Imlib2 image manipulation and testing utilities.
Group: Graphics
Requires: %name = %version-%release

%description utils
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

This package provides some utilities from Imlib2 distribution.

%prep
%setup -q
%patch -p1

%build
%if_enabled mmx
%set_verify_elf_method textrel=relaxed
%endif

%{?_disable_static:export lt_cv_prog_cc_static_works=no}
%{?_enable_static:export lt_cv_prog_cc_static_works=yes}
autoreconf -fisv
%configure \
    %{subst_enable static} \
    %{subst_enable mmx}

%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %_libdir/%{name}_loaders/*/*.so
%dir %_libdir/%{name}_loaders/*/*.la

%files devel
%_bindir/%name-config
%_includedir/*
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/pkgconfig/*
%doc doc/{*gif,*.html}

%files utils
%_bindir/*
%exclude %_bindir/%name-config

%if_enabled static
%files devel-static
%_libdir/lib*.a
%_libdir/%{name}_loaders/*/*.a
%endif

%changelog
* Thu Sep 02 2004 Dmitry V. Levin <ldv@altlinux.org> 1.1.1-alt0.1
- Rebuilt for ALM-2.2.

* Mon Aug 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1
- all old patches in mainstream now.
- fixed BMP biClrUsed overflow (thanks Suse).
- new utils subpackage.

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt2
- do not package .la files.
- devel-static subpackage now is optional.

* Wed Nov 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt1
- new version.
- disable mmx by default.
- with enabled mmx support apply
  set_verify_elf_method textrel=relaxed due i can't fix asm code.

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt4
- fixed %%build.

* Wed Oct 23 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.6-alt3
- Fixed "-I/usr/include" compilation warnings.
- Rebuilt with "libintl-free" freetype-devel.
- Updated buildrequires.

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt2
- Rebuild with gcc-3.2
- Loaders .la files go in the main package.

* Fri Apr 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- 1.06 

* Tue Apr 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt2
- build process fixed (#839).  
_ buildrequires updated.

* Thu Apr 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- Adopted for Sisyphus PLD Team imlib2-1.0.5-2 package. 
